Bug 243132 - posixshmcontrol(1) lists incorrect release version
Summary: posixshmcontrol(1) lists incorrect release version
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-06 19:07 UTC by Noah Altunian
Modified: 2020-04-01 07:29 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noah Altunian 2020-01-06 19:07:02 UTC
posixshmcontrol(1) says 'The posixshmcontrol command appeared in FreeBSD 13.0'.

The release notes for FreeBSD 12.1-RELEASE are here: https://www.freebsd.org/releases/12.1R/relnotes.html

In the release notes, we find this:
> 4.2 Userland Application Changes
> ...
> The posixshmcontrol(1) utility has been added. [r348426]

The source path to the manpage is `usr.bin/posixshmcontrol/posixshmcontrol.1'.

I can get a patch for this in later.
Comment 1 Mateusz Piotrowski freebsd_committer 2020-03-18 14:13:00 UTC
https://reviews.freebsd.org/D24112
Comment 2 Mateusz Piotrowski freebsd_committer 2020-03-18 15:02:30 UTC
Thanks a lot for the heads-up!
Comment 3 commit-hook freebsd_committer 2020-03-18 15:03:03 UTC
A commit references this bug:

Author: 0mp
Date: Wed Mar 18 15:02:09 UTC 2020
New revision: 359071
URL: https://svnweb.freebsd.org/changeset/base/359071

Log:
  Document that posixshmcontrol first appeared in 12.1

  Also while here, I am addressing some linting issues.

  PR:	243132
  Submitted by:	Noah Altunian <nbaltunian gmail com>
  Approved by:	bcr (mentor)
  MFC after:	2 weeks
  Differential Revision:	https://reviews.freebsd.org/D24112

Changes:
  head/usr.bin/posixshmcontrol/posixshmcontrol.1
Comment 4 commit-hook freebsd_committer 2020-04-01 07:29:07 UTC
A commit references this bug:

Author: 0mp
Date: Wed Apr  1 07:28:31 UTC 2020
New revision: 359503
URL: https://svnweb.freebsd.org/changeset/base/359503

Log:
  MFC 359071:

  Document that posixshmcontrol first appeared in 12.1

  Also while here, I am addressing some linting issues.

  PR:	243132
  Submitted by:	Noah Altunian <nbaltunian gmail com>
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24112

Changes:
_U  stable/12/
  stable/12/usr.bin/posixshmcontrol/posixshmcontrol.1